Bug 1295174 - python-matplotlib contain problematic content
python-matplotlib contain problematic content
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-01-03 03:07 EST by mejiko
Modified: 2016-04-14 00:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-matplotlib-1.4.3-11.fc23 python-matplotlib-1.4.3-13.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 00:23:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2016-01-03 03:07:32 EST
Hello.

python-matplotlib included non-free image. 
This is "Lena" (Lenna) image. (PNG and JPG file)

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

Thanks.
Comment 1 mejiko 2016-01-04 03:47:14 EST
I check source RPM (*.src.rpm) and source archive (E,g tar.gz, etc...).
Not Binary RPM (*.rpm).

Thanks.
Comment 2 mejiko 2016-01-04 05:08:33 EST
Additional Information

File Path:

"matplotlib-1.4.3/lib/matplotlib/mpl-data/sample_data/lena.png"
"matplotlib-1.4.3/lib/matplotlib/mpl-data/sample_data/lena.jpg"


Why non-free ?

This file is copyrighted, and not fedora acceptable licensed content. 

Reference:
https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html
Comment 3 Thomas Spura 2016-01-07 07:08:29 EST
Thanks for this report.
I removed the image from the tarball and am doing builds without the image now.

@FE-Legal: Is this enough, or do I need to request rel-eng to remove all previously uploaded sources to the look-aside cache?
Comment 4 Fedora Update System 2016-01-07 09:06:29 EST
python-matplotlib-1.4.3-9.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-491c990dbe
Comment 5 Fedora Update System 2016-01-07 09:06:29 EST
python-matplotlib-1.4.3-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-499e21bb8a
Comment 6 Fedora Update System 2016-01-08 23:25:47 EST
python-matplotlib-1.4.3-9.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-491c990dbe
Comment 7 Fedora Update System 2016-01-08 23:28:24 EST
python-matplotlib-1.4.3-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-499e21bb8a
Comment 8 Fedora Update System 2016-01-09 06:00:08 EST
python-matplotlib-1.4.3-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-499e21bb8a
Comment 9 Fedora Update System 2016-01-09 13:21:27 EST
python-matplotlib-1.4.3-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-499e21bb8a
Comment 10 Fedora Update System 2016-01-11 03:56:22 EST
python-matplotlib-1.4.3-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-491c990dbe
Comment 11 Fedora Update System 2016-01-12 04:54:30 EST
python-matplotlib-1.4.3-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-491c990dbe
Comment 12 Fedora Update System 2016-01-13 06:44:12 EST
python-matplotlib-1.4.3-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-499e21bb8a
Comment 13 Fedora Update System 2016-01-14 06:26:20 EST
python-matplotlib-1.4.3-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-499e21bb8a
Comment 14 Fedora Update System 2016-01-20 07:18:58 EST
python-matplotlib-1.4.3-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-491c990dbe
Comment 15 Fedora Update System 2016-01-21 01:25:06 EST
python-matplotlib-1.4.3-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-491c990dbe
Comment 16 Fedora Update System 2016-01-21 21:23:20 EST
python-matplotlib-1.4.3-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-04-04 09:56:11 EDT
python-matplotlib-1.4.3-13.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0551f09cf4
Comment 18 Fedora Update System 2016-04-05 11:22:25 EDT
python-matplotlib-1.4.3-13.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0551f09cf4
Comment 19 Fedora Update System 2016-04-14 00:23:04 EDT
python-matplotlib-1.4.3-13.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.